// PXATesterDlg.h : header file
//
#ifndef _PXATESTERDLG_H_
#define _PXATESTERDLG_H_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgPhoneConnecting.h : header file
//

#include "SocketListener.h"


/////////////////////////////////////////////////////////////////////////////
// CPXATesterDlg dialog

class CPXATesterDlg : public CDialog, public CSocketListener::CSubscriber
{
// Construction
public:
	CPXATesterDlg(CWnd* pParent = NULL);   // standard constructor
	bool OnNewConnection();
	bool AcceptSocket(CSocket& soc);

// Dialog Data
	//{{AFX_DATA(CPXATesterDlg)
	enum { IDD = IDD_PXATESTER_DIALOG };
	CStatic	m_txtLastTested;
	CAnimateCtrl	m_ctrlPhoneSearch;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPXATesterDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPXATesterDlg)
	virtual BOOL OnInitDialog();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CFont			m_font;
	CBrush			m_brushBk;
	CSocketListener	m_socListener;
	HICON			m_hIcon;
	CPoint			m_pntCapture;
	CPoint			m_pntWndTopLeft;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif _PXATESTERDLG_H_
