#ifndef _PANELPHONE_H_
#define _PANELPHONE_H_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgNetPhone.h : header file
//
#include "PhonePicture.h"


/////////////////////////////////////////////////////////////////////////////
// CPanelPhone dialog
class CPhone;

class CPanelPhone : public CDialog
{
// Construction
public:
	CPanelPhone(CPhone& phone, CWnd* pParent = NULL);   // standard constructor
	void TestKbd();
	void TestLED(int nTest);
	void TestDisplay(int nTest);
	void TestAudio(int nTest);
	void TestFinished(bool bOK);
	void DisconnectPhone(bool bOK);

	bool Create();
	void SetHeadingText(CString& str);
	void SetQuestionText(CString& str);
	void SetButtonStatus(int nButton, bool bChecked);

// Dialog Data
	//{{AFX_DATA(CPanelPhone)
	enum { IDD = IDD_DLG_PHONE };
	CRichEditCtrl	m_rtfPhone;
	CButton	m_btnYes;
	CButton	m_btnNo;
	CStatic	m_ctrlQuestion;
	CStatic	m_ctrHeader;
	CPhonePicture	m_pict;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPanelPhone)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPanelPhone)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnBtnYes();
	afx_msg void OnBtnNo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CFont			m_font;
	CFont			m_fontSmall;
	CBrush			m_brushBk;
	CPhone&			m_phone;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // _PANELPHONE_H_
