#if !defined(AFX_PHONEPICTURE_H__65D50D26_8578_486F_83B2_E820018D380D__INCLUDED_)
#define AFX_PHONEPICTURE_H__65D50D26_8578_486F_83B2_E820018D380D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PhonePicture.h : header file
//
#define PHONE_BUTTONS 30
#define PHONE_LEDS 2
#define PHONE_DEVICES 4
/////////////////////////////////////////////////////////////////////////////
// CPhonePicture window

class CPhonePicture : public CStatic
{
// Construction
public:
	CPhonePicture();

// Attributes
public:

// Operations
public:
	void Init();
	void SetButtonStatus(int nButton, bool bChecked);
	void SetLEDStatus(int nLED, bool bRed, bool bGreen);
	void SetDisplayStatus(int nDisplay);
	void ShowAudioDevice(int nDevice);
	void SetStatus(int nStatus);
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPhonePicture)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPhonePicture();
protected:
	virtual void OnDraw(CDC& dc);
	void DrawDisplay(CDC& dc);
	
	// Generated message map functions
protected:
	//{{AFX_MSG(CPhonePicture)
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	bool m_oButtons[PHONE_BUTTONS];
	int m_oLEDs[PHONE_LEDS];
	int m_nDisplay;
	int m_nDevice;
	int	m_nStatus;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PHONEPICTURE_H__65D50D26_8578_486F_83B2_E820018D380D__INCLUDED_)
